ViewRefreshModes (KML Framework API)
Keywords: org.boehn.kmlframework.todo.servlet.ViewRefreshModes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.todo.servlet
Enum ViewRefreshModes

    java.lang.Object
      java.lang.Enum<ViewRefreshModes>
          org.boehn.kmlframework.todo.servlet.ViewRefreshModes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ViewRefreshModes>

    public enum ViewRefreshModes

extends java.lang.Enum<ViewRefreshModes>

Enum Constant Summary
`never`
`onRequest`
`onStop`

Method Summary
`static ViewRefreshModes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ViewRefreshModes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### never

    public static final ViewRefreshModes never

### onStop

    public static final ViewRefreshModes onStop

### onRequest

    public static final ViewRefreshModes onRequest

Method Detail

### values

    public static final ViewRefreshModes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ViewRefreshModes c : ViewRefreshModes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ViewRefreshModes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD